# -*- coding: utf-8 -*-

from django.conf.urls import url

from api import branch_campus_admin_views, branch_campus_views, course_field_views, course_views, oauth_views, wx_views


urlpatterns = [
    url(r'^3rd/or$', oauth_views.oauth_redirect, name='3rd_or'),
    url(r'^3rd/oauth_redirect$', oauth_views.oauth_redirect, name='3rd_oauth_redirect'),
]

urlpatterns += [
    url(r'^get_limit_scene_qrcode_url$', wx_views.get_limit_scene_qrcode_url, name='get_limit_scene_qrcode_url'),
]

urlpatterns += [
    url(r'^branch/campus/add$', branch_campus_views.add_branch_campus, name='add_branch_campus'),
    url(r'^branch/campus/update$', branch_campus_views.update_branch_campus, name='update_branch_campus'),
    url(r'^branch/campus/list$', branch_campus_views.get_branch_campus_list, name='get_branch_campus_list'),
    url(r'^branch/campus/delete$', branch_campus_views.delete_branch_campus, name='delete_branch_campus'),
]

urlpatterns += [
    url(r'^branch/campus/admin/add$', branch_campus_admin_views.add_branch_campus_admin, name='add_branch_campus_admin'),
    url(r'^branch/campus/update$', branch_campus_admin_views.update_branch_campus_admin, name='update_branch_campus_admin'),
    url(r'^branch/campus/list$', branch_campus_admin_views.get_branch_campus_admin_list, name='get_branch_campus_admin_list'),
    url(r'^branch/campus/delete$', branch_campus_admin_views.delete_branch_campus_admin, name='delete_branch_campus_admin'),
]

urlpatterns += [
    url(r'^course/add$', course_views.add_course, name='add_course'),
    url(r'^course/update$', course_views.update_course, name='update_course'),
    url(r'^course/list$', course_views.get_course_list, name='get_course_list'),
    url(r'^course/delete$', course_views.delete_course, name='delete_course'),
]

urlpatterns += [
    url(r'^course/field/add$', course_field_views.add_course_field, name='add_course_field'),
    url(r'^course/field/update$', course_field_views.update_course_field, name='update_course_field'),
    url(r'^course/field/get$', course_field_views.get_course_field, name='get_course_field'),
    url(r'^course/field/list$', course_field_views.get_course_field_list, name='get_course_field_list'),
    url(r'^course/field/delete$', course_field_views.delete_course_field, name='delete_course_field'),
]
